module Gogdb
  class Logger
    def initialize(options={})
      @debug = options[:debug] || false
      @silent = options[:silent] || false
    end

    def log(message)
      puts message unless @silent
    end

    def error(message)
      puts "[#{time}] #{message}".colorize(:light_red) unless @silent
    end

    def warning(message)
      puts "[#{time}] #{message}".colorize(:light_yellow) unless @silent
    end

    def debug(message)
      puts "[#{time}] #{message}".colorize(:light_blue) if @debug
    end

    def time
      Time.now.strftime("%Y-%m-%d %H:%M:%S")
    end
  end
end
