module Gogdb
  class Utils

    def initialize(logger=Logger.new({}))
      @logger = logger 
    end

    # Retries connection to GOG.com incrementally (every 10n seconds, up to 120)
    #
    # @params [String]
    # @return [Boolean]
    def retryConnection(url)
      @count = 1
      ph = Net::Ping::HTTP.new(url)
      
      while true do
        if ph.ping?
          @logger.warning "Connection to gog.com established successfully. Retrying previous task..."
          true
        else
          @logger.error "Cannot establish connection. Retrying in #{@count * 10} seconds..."
        end
      
        sleep(10 * @count)
        @count += 1 if @count < 12
      end
    end

  end
end
